Create Product Variant Option

Creates a *Variant Option*. **Required Fields** * display_name * type * option_values **Read-Only Fields** * id **Limits** * 255 characters option name length. **Notes** * Only one variant option at a time can be created; individual variant options will contain an array of multiple values. * There are several examples listed below that create options, but the SKUs are not updated and they are not a variant on the product. Variant SKUs must be created with a separate request. * Variant options will show on the storefront as an option that can be selected by the customer. A request like this could be used to add new choices to a variant that has already been created. * If more than one variant needs to be created, use the [Create a Product](/developer/api-reference/rest/admin/catalog/products#create-a-product) endpoint.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

product_idstringRequired

Request

Common Option properties.
product_idintegerOptional
The unique numerical ID of the product to which the option belongs.
display_namestringOptional1-255 characters
The name of the option shown on the storefront.
typeenumOptional
The type of option, which determines how it will display on the storefront. Acceptable values: `radio_buttons`, `rectangles`, `dropdown`, `product_list`, `product_list_with_images`, `swatch`. For reference, the former v2 API values are: RB = radio_buttons, RT = rectangles, S = dropdown, P = product_list, PI = product_list_with_images, CS = swatch.
configobjectOptional
The values for option config can vary based on the Modifier created.
sort_orderintegerOptional
Order in which the option is displayed on the storefront.
option_valueslist of objectsOptional
image_urlstringOptional
Publicly available image url

Response

dataobject
Common Option properties.
metaobject

Empty meta object; may be used later.

Errors

409
Conflict Error
422
Unprocessable Entity Error